Subject: Re: mainline build failure due to c1918196427b ("iwlwifi: pcie: simplify MSI-X cause mapping")

From: Jakub Kicinski <[email-masked]>
Date: Fri, 27 May 2022 17:24:29 -0700

On Fri, 27 May 2022 11:23:10 +0200 Johannes Berg wrote:
> On Fri, 2022-05-27 at 12:20 +0300, Kalle Valo wrote:
> > 
> > iwlwifi: pcie: rename CAUSE macro
> > 
> > https://patchwork.kernel.org/project/linux-wireless/patch/20220523220300.682be2029361.I283200b18da589a975a284073dca8ed001ee107a@changeid/
> > 
> > It's marked as accepted but I don't know where it's applied to, Gregory?  
> 
> Gregory picked it up to our internal tree.
> 
> > This is failing the build, should Linus apply the fix directly to his
> > tree?  
> 
> I had previous asked Jakub if he wanted to do that, but he didn't (yet).
> I don't know what's the best course of action right now...
> 
> No objections to it taking any kind of fast path though :)

IIRC this is a warning and it's on MIPS only [1], so if it can make its
way to your Wed PR and I'll send it to Linus on Thu - that should be
good enough (I think).

[1] https://lore.kernel.org/all/[email-masked]/